Imports CharterDotCom.CommonEntities.Library.Enumerations

Public Interface IOrder

    ReadOnly Property Confirmations() As Dictionary(Of Category, IOrderConfirmation)

    Public Interface IOrderConfirmation
        ReadOnly Property Confirmation() As IConfirmation
        ReadOnly Property Schedules() As ISchedule
        ReadOnly Property Appointment() As IAppointment
    End Interface

    Public Interface ISchedule
        ReadOnly Property Type() As ScheduleType
        ReadOnly Property ScheduleWindow() As Dictionary(Of String, IScheduleWindow)
    End Interface

    Public Interface IScheduleWindow
        ReadOnly Property ID() As String
        ReadOnly Property ScheduleDate() As String
        ReadOnly Property StartTime() As String
        ReadOnly Property EndTime() As String
        ReadOnly Property IsSelected() As Boolean
    End Interface

    Public Interface IAppointment
        ReadOnly Property Confirmation() As IConfirmation
        ReadOnly Property InstallDate() As String
        ReadOnly Property StartTime() As String
        ReadOnly Property EndTime() As String
    End Interface

    Public Interface IELOA
        ReadOnly Property userIDField() As String
        ReadOnly Property passwordField() As String
        ReadOnly Property eLOANameField() As String
        ReadOnly Property versionField() As String
        ReadOnly Property dNISField() As String
        ReadOnly Property telephoneNbrField() As String
        ReadOnly Property firstNameField() As String
        ReadOnly Property lastNameField() As String
        ReadOnly Property affiliateIDField() As String
        ReadOnly Property affiliateNameField() As String
        ReadOnly Property affiliateTypeField() As String
        ReadOnly Property decisionMakerField() As String
        ReadOnly Property securityTypeField() As String
        ReadOnly Property securityValueField() As String
        ReadOnly Property localField() As String
        ReadOnly Property localTollField() As String
        ReadOnly Property longDistanceField() As String
        ReadOnly Property e911Field() As String
        ReadOnly Property statusField() As String
        ReadOnly Property reasonCodeField() As String
        ReadOnly Property wTNsField() As String()
    End Interface

End Interface

Public Interface IConfirmation
    ReadOnly Property Number() As String
    ReadOnly Property Message() As String
End Interface


